services:
    app:
        image: purwakarta-diskominfo-simedkom-new:v1.0.0
        container_name: purwakarta-diskominfo-simedkom-new
        # command: >
        #     sh -c "echo 'max_execution_time=300' > /usr/local/etc/php/conf.d/custom.ini && php artisan storage:link && pap artisan optimize:clear && php-fpm"
        command: >
            sh -c "
            php artisan storage:link || true &&
            mkdir -p storage/app/public/auth-bg &&
            exec supervisord -c /etc/supervisor/conf.d/supervisord.conf
            "
        ports:
            - "8103:80"
        env_file:
            - .env
        networks:
            - gitlab-repo

networks:
    gitlab-repo:
        external: true
